class CreateParticipants < ActiveRecord::Migration[7.1]
  def change
    create_table :participants do |t|
      t.string :name
      t.string :address
      t.string :phone
      t.string :email
      t.string :mci
      t.date :dob
      t.string :ssn
      t.string :gender
      t.references :employer, null: false, foreign_key: true

      t.timestamps
    end
  end
end
